// 获取当前页面
export function getActionPage() {
	let pages = getCurrentPages();
	return pages[pages.length - 1]
}


// 处理分享链接地址
export function getPageUrl(config) {
	let page = getActionPage();
	let path = '/' + page.route;
	let url = '';
	// 获取对象可枚举键值列表
	let objKeys= Object.keys(page.options);
	// 判断有无传值
	if(objKeys.length>0){
		// 循环赋值对象数据
		for(let a in page.options) {
			// 判断有无邀请人
			if(a!='spread'){
				url += a+"="+page.options[a]+"&"
			}
		}
		path += '?' + url.substr(0,url.length-1);
	}
	// 返回处理邀请人后的邀请地址
	return path
}

//登录拦截
export function interceptor() {
	let pages = getActionPage();
	// 获取当前页面
	let pageUrl = '/' + pages.route;
	let url = '/pages/login/login'
	// #ifdef H5
	// 判断是否为公众号调用微信授权登录
	let weichatBrowser = uni.getStorageSync('weichatBrowser');
	if (weichatBrowser) {
		url = '/pages/public/wxLogin';
	}
	// #endif
	// #ifdef MP-WEIXIN
	url = '/pages/public/wxLogin';
	// #endif
	if (pageUrl != url) {
		uni.navigateTo({
			url
		})
	}
}

// 保存页面
export function saveUrl() {
	// 获取当前页面
	let page = getActionPage();
	// 获取跳转前路由地址
	let path = '/' + page.route;
	let url = '';
	// 获取对象可枚举键值列表
	let objKeys= Object.keys(page.options);
	// 判断有无传值
	if(objKeys.length>0){
		// 循环赋值对象数据
		for(let a in page.options) {
			url += a+"="+page.options[a]+"&"
		}
		path += '?' + url.substr(0,url.length-1);
	}
	// uni.showModal({
	// 	title: '地址',
	// 	content: path,
	// 	fail: function (res) {
	// 		console.log(res.errMsg);
	// 		uni.showModal({
	// 			title: 'error',
	// 			content: res.errMsg
	// 		})
	// 	}
	// })
	uni.setStorageSync('present', path);
	// // 获取当前页面
	// let page = getActionPage();
	// // 获取跳转前路由地址
	// let path = '/' + page.route;
	// let url = '';
	// // 获取对象可枚举键值列表
	// let objKeys = Object.keys(page.options);
	// // 判断有无传值
	// if (objKeys.length > 0) {
	// 	// 循环赋值对象数据
	// 	for (let a in page.options) {
	// 		url += a + "=" + page.options[a] + "&"
	// 	}
	// 	path += '?' + url.substr(0, url.length - 1);
	// }
	// console.log(path,1)
	// uni.setStorageSync('present', path);
}
